Page MenuHomePhabricator

Enable "Sandbox" link for Sindhi Wikipedia & Wiktionary; adjust sidebar items and title
Closed, ResolvedPublic

Description

According to this discussion (which started here), Sindhi Wikipedia and Wiktionary are lacking links they would find useful in their interface. These are:

  • Sandbox (Sindhi:مشق پٽي), this link should be in the user options(i.e. Log out)
  • Contents (Sindhi:فھرستون), this link should be in sidebar.
  • Featured Content (Sindhi:نمايان مواد), this link should also be in sidebar.
  • From Wikipedia, the free encyclopedia (Sindhi:وڪيپيڊيا کان، کليل ڄاڻ انسائيڪلوپيڊيا), this line should be placed under title of any page. As for now, this line is missing both in Sindhi Wikipedia and Wiktionary.

They don't have the technical knowledge to address this on their own.

Event Timeline

Johan created this task.Dec 7 2016, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2016, 3:48 PM

Project welcome :)

Aklapper added a subscriber: mehtab.ahmed.

Alright, this task mixes several things. :)

Everything else in this task can and needs to be done by the Sindhi community:

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptDec 7 2016, 4:47 PM
Aklapper renamed this task from Sindhi Wikipedia & Wiktionary interface links to Enable "Sandbox" link for Sindhi Wikipedia & Wiktionary; adjust sidebar items and title.Dec 7 2016, 4:48 PM

Thank you guys for your kind attention, I have translated Sandbox in translatewik.net

Urbanecm claimed this task.Dec 7 2016, 5:05 PM
Urbanecm added a subscriber: Urbanecm.

I'll take care about the sandbox link, other things need to be done by local sysops as @Aklapper said (many thanks to him).

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 7 2016, 5:05 PM
mehtab.ahmed added a comment.EditedDec 7 2016, 5:10 PM

@Urbanecm: Currently, there are three active users on Sindhi Wikipedia and all are regular users with no other authority. Admins rarely visit the site therefore, I request you to do all the work if possible.

Change 325803 had a related patch set uploaded (by Urbanecm):
Enable SandboxLink at sdwiki

https://gerrit.wikimedia.org/r/325803

Urbanecm added a subscriber: MarcoAurelio.EditedDec 7 2016, 5:16 PM

@mehtab.ahmed Okay, so this must be done by stewards/global interface editors/global sysops (you must be member of at least one group I mentioned). I'm none of it so I must ask others. @MarcoAurelio, as our steward, can you help with this?

@Urbanecm I didn't get you dear, what groups are you talking about?

I can make the edits required if nobody else does, but after the extension is deployed.

The sandbox link will be deployed at next Monday December 12, 14:00-15:00 UTC.

@Urbanecm bundle of thanks to all the guys.

@mehtab.ahmed There are some global groups (managed at meta.wikimedia.org). If there is no available local sysop this work can be done by everybody who is a) steward b) global interface editor c) global sysop. @MarcoAurelio is a steward so he can help :).

Urbanecm triaged this task as Low priority.Dec 7 2016, 5:32 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

@MarcoAurelio Okay, I'll find you after the deployment.

@mehtab.ahmed You're welcome.

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Dec 7 2016, 5:33 PM

Change 325803 merged by jenkins-bot:
Enable SandboxLink at sdwiki and sdwikt

https://gerrit.wikimedia.org/r/325803

Mentioned in SAL (#wikimedia-operations) [2016-12-08T19:35:08Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:325803|Enable SandboxLink at sdwiki and sdwikt]] T152609 (duration: 00m 46s)

Deployed. @MarcoAurelio , can you make requests edits?

Thank you guys sandbox just got deployed. It Sindhi translation given there is ريتخانو, can anybody make it مشق پٽي, otherwise no issue. Bundle of thanks once again.

It takes translation from translatewiki.net. I can edit it there but if you have rights to do it please do it. It may take some time when change applies (week or two).

Sandbox link is in sdwiki sidebar now, as well as for all users in the superior toolbar. Translation of the extension should be done at https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-sandboxlink&language=sd&filter=&action=translate. I feel that @mehtab.ahmed is in progress of doing so. Once translated there, the translations will be updated on sdwiki automatically within a day or two.

MarcoAurelio closed this task as Resolved.Dec 9 2016, 9:27 AM
MarcoAurelio moved this task from Working on to Done on the Wikimedia-Site-requests board.

Sandbox link added on sdwiktionary as well, although the page didn't existed so I created it with "Sandbox" as content. For the rest of sidebar adjustement requests, please approach https://meta.wikimedia.org/wiki/Steward_requests/Miscellaneous or local sysops.